%global __python %{__python3}

Name:           gedit-code-assistance
Version:        0.3.1
Release:        5%{?dist}
Summary:        gedit plugin for code assistance for C, C++ and Objective-C

Group:          Applications/Editors
License:        GPLv3+
URL:            http://projects.gnome.org/gedit
Source0:        ftp://ftp.gnome.org/pub/gnome/sources/gedit-code-assistance/0.3/%{name}-%{version}.tar.xz
Source1:        gedit-code-assistance.metainfo.xml

BuildRequires:  gedit-devel
BuildRequires:  gettext
BuildRequires:  cairo-devel
BuildRequires:  atk-devel
BuildRequires:  intltool
BuildRequires:  libpeas-devel
BuildRequires:  gtk3-devel
BuildRequires:  glib2-devel
BuildRequires:  libgee-devel
BuildRequires:  libpeas-devel
BuildRequires:  python3-gobject >= %{pygo_version}
Requires:       python3-gobject >= %{pygo_version}
Requires:       gnome-code-assistance

Obsoletes:      gedit-code-assistance-devel <= 0.2.0

%description
gedit code assistance is a gedit plugin providing code assistance support from
gnome-code-assistance services. 

%prep
%setup -q -n %{name}-%{version}

%build
%configure --disable-static
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT/%{_libdir}/gedit/plugins -name "*.la" -exec rm {} \;

# install metainfo file
mkdir -p $RPM_BUILD_ROOT/usr/share/appdata/
cp %{SOURCE1} $RPM_BUILD_ROOT/usr/share/appdata/

%files
%defattr(-,root,root,-)
%doc README NEWS COPYING
%{_libdir}/gedit/plugins/*
%{_datadir}/appdata/*.metainfo.xml
%{_datadir}/gedit/plugins/codeassistance/codeassistance.css

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Tue Jul 29 2014 Kalev Lember <kalevlember@gmail.com> - 0.3.1-4
- Adapt for gedit desktop file rename

* Wed Jun 11 2014 Richard Hughes <rhughes@redhat.com> - 0.3.1-3
- Add new experimental metainfo.xml file for GNOME Software

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 07 2014 Elad Alfassa <elad@fedoraproject.org> - 0.3.1-1
- Latest upstream is actually 0.3.1, my bad
- Update description too

* Wed May 07 2014 Elad Alfassa <elad@fedoraproject.org> - 0.3.0-1
- Update to upstream 0.3, now uses gnome-code-assistance as a backend

* Tue Apr 15 2014 Adam Jackson <ajax@redhat.com> 0.2.0-5
- Rebuild against llvm 3.4

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Mar 28 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 0.2.0-3
- We need python3 now.

* Tue Mar 26 2013 Kalev Lember <kalevlember@gmail.com> - 0.2.0-2
- Rebuilt for gtksourceview3 soname bump

* Mon Mar 25 2013 Ignacio Casal Quinteiro <icq@gnome.org> - 0.2.0-1
- Update to 0.2.0.

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Oct 20 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.5-1
- Update to 0.1.5.

* Mon Oct 15 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.4-1
- Update to 0.1.4.

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Tue Mar 06 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.3-1
- Update to 0.1.3.

* Fri Feb 03 2012 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.2-3
- Missing build requirement

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sun Nov 19 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.2-1
- Update to 0.1.2.

* Sun Nov 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.1-1
- Update to 0.1.1.

* Sun Nov 13 2011 Ignacio Casal Quinteiro <icq@gnome.org> - 0.1.0-1
- Initial version 0.1.0.
